<template>
  <div class="home">
    <div class="row d-flex justify-content-center">
      <div class="col-md-6 col-sm-12">
        <div class="card mt-5">
          <div class="card-header">Login</div>
          <div class="card-body">
            <form action method="post" @submit.prevent="joinRoom">
              <div class="form-group">
                <label for>Room ID</label>
                <input type="text" v-model.trim="room" required class="form-control" />
              </div>
              <div class="form-group">
                <label for>Username</label>
                <input type="text" v-model.trim="username" required class="form-control" />
              </div>
              <button type="submit" class="btn btn-primary">Enter Room</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapMutations } from "vuex";
import SimpleWebRTC from "simplewebrtc";
export default {
  name: "Home",
  data() {
    return {
      username: "",
      room: "family"
    };
  },
  methods: {
    ...mapMutations({
      setName: "setName"
    }),
    joinRoom() {
      this.setName(this.username);
      window.webrtc = new SimpleWebRTC({
        localVideoEl: "",
        remoteVideosEl: "",
        autoRequestMedia: true,
        nick: this.username
      });
      this.$router.push({ name: "Room", params: { room: this.room } });
    }
  }
};
</script>
